Installation error (Ubuntu)

6 replies [Last post]
bethe's picture
Offline
Joined: 06/27/2011

Hi,

Just tried to install OpenMx and encountered the following error:

> source('http://openmx.psyc.virginia.edu/getOpenMx.R')
Installing package(s) into ‘/usr/local/lib/R/site-library’
(as ‘lib’ is unspecified)
Error in ret[i, ] <- c(pkgs[i], lib, desc) :
number of items to replace is not a multiple of replacement length

I have R version 2.13.0 on Ubuntu 10.10 (32 bits)

Thanks for any help in advance.

bethe's picture
Offline
Joined: 06/27/2011
opps wrong place. This should

opps wrong place. This should be removed, sorry.

bethe's picture
Offline
Joined: 06/27/2011
Anyone??

Anyone??

mspiegel's picture
Offline
Joined: 07/31/2009
OpenMx works with R 2.12.0 on

OpenMx works with R 2.12.0 on Ubuntu 11.04. I also compiled R 2.13.0 from source and the OpenMx installation script worked in that environment as well. You can try invoking traceback() after you get the error message to get more information on where the error is occurring.

bethe's picture
Offline
Joined: 06/27/2011
Hi, Thanks for the reply.

Hi,

Thanks for the reply. This is what I got from traceback():

> source('http://openmx.psyc.virginia.edu/getOpenMx.R')
Installing package(s) into ‘/home/bee/R/i686-pc-linux-gnu-library/2.13’
(as ‘lib’ is unspecified)
Error in ret[i, ] <- c(pkgs[i], lib, desc) :
number of items to replace is not a multiple of replacement length
> traceback()
7: .readPkgDesc(lib, fields)
6: installed.packages(lib.loc = libpath, fields = c("Package", "Version"))
5: getDependencies(pkgs, dependencies, available, lib)
4: install.packages(pkgs = c("OpenMx"), repos = repos)
3: eval.with.vis(expr, envir, enclos)
2: eval.with.vis(ei, envir)
1: source("http://openmx.psyc.virginia.edu/getOpenMx.R")

I can confirm that it works on Ubuntu 11.04 (R version 2.13.0)

mspiegel's picture
Offline
Joined: 07/31/2009
I can confirm that it works

I can confirm that it works on Ubuntu 11.04 (R version 2.13.0)

Sorry, I didn't respond because I assumed you had upgraded your system. Based on the traceback() message, this looks like a problem in R. Probably some kind of corner case that is not handled correctly in 2.13.0. You can try searching for an existing bug with the same behavior over here: https://bugs.r-project.org/bugzilla3/index.cgi. If you don't find one, then submit a new report. Don't forget to include the traceback() output.

bethe's picture
Offline
Joined: 06/27/2011
Upgraded to R 2.13.1 and

Upgraded to R 2.13.1 and still no luck.

Have been searching for a bit and the closest I found for my problem is this.
http://r.789695.n4.nabble.com/Error-Installing-or-Updating-Packages-Mayb...
But I don't quite understand the issue involved or how to fix it.

Finally I took the drastic step of completely wiping out R and reinstalling it and it worked! I am finally able to install OpenMX.